namespace LessonPlan
{
using System;


	/// <summary>
	/// Summary description for Modules.
	/// </summary>
	public class Modules
	{
		public Modules()
		{
			//
			// TODO: Add constructor logic here
			//
		}
		public static Gtk.HBox TabControlImgLabel(string TabLabel, string Image_Stock_Id)
		{
			Gtk.Label lbMain = new Gtk.Label(TabLabel);
			Gtk.Image imgMain = new Gtk.Image(Image_Stock_Id, Gtk.IconSize.SmallToolbar);
			imgMain.Xpad = 3;
			Gtk.HBox Hb = new Gtk.HBox();

			Hb.Add(imgMain);
			Hb.Add(lbMain);
			Hb.ShowAll();
			return Hb;
		}

		public static void DoEvents()
		{
			while (Gtk.Application.EventsPending()) 
			{
				Gtk.Application.RunIteration();
			}
		}

		public static void SetLabelSizeB(Gtk.Label ChangeLabel, string TextSize)
		{
			ChangeLabel.Markup = "<b><span size='" + TextSize + "'>" + ChangeLabel.Text + "</span></b>";
		}
		public static void SetLabelSize(Gtk.Label ChangeLabel, string TextSize)
		{
			ChangeLabel.Markup = "<span size='" + TextSize + "'>" + ChangeLabel.Text + "</span>";
		}
		public static void SetLabelBlue(Gtk.Label ChangeLabel, string TextSize)
		{
			ChangeLabel.Markup = "<span size='" + TextSize + "' color='blue'>" + ChangeLabel.Text + "</span>";
		}
		
		public static Gtk.TreeIter GetFirstLowestChild(Gtk.TreeStore myStore, Gtk.TreeIter Piter)
		{
			if(myStore.IterHasChild(Piter))
			{
				Gtk.TreeIter iter;
				myStore.IterNthChild(out iter, Piter, 0);
				return GetFirstLowestChild(myStore, iter);;
			}
			else
				return Piter;
		}
		public static bool GetFirstSelectedIter(Gtk.TreeView tree, out Gtk.TreeIter iter)
		{
			Gtk.TreePath[] myPath = tree.Selection.GetSelectedRows();
			 
			if (myPath.Length > 0)
			{
				if (tree.GetType() == typeof(Gtk.TreeStore))
				{
					Gtk.TreeStore myStore = (Gtk.TreeStore)tree.Model;
					myStore.GetIterFromString(out iter, myPath[0].ToString()); 
				}
				else
				{
					Gtk.ListStore myStore = (Gtk.ListStore)tree.Model;
					myStore.GetIterFromString(out iter, myPath[0].ToString()); 
				}
				return true;
			}
			else
			{
				iter = Gtk.TreeIter.Zero;			
				return false;
			}
		}
			
			public static Gtk.TreeViewColumn MakeCol(string Name, int Icon, int Editable, int Text, Gtk.EditedHandler CellEdited)
			{
				//Makes Simple TextColumn with pixbuf
				Gtk.TreeViewColumn Col = new Gtk.TreeViewColumn();
				Col.Title = Name;
				Gtk.CellRendererPixbuf  PixRender = new Gtk.CellRendererPixbuf();
				PixRender.Visible = true;
				PixRender.StockSize = 1; 
				Col.PackStart(PixRender, false);
				Col.AddAttribute(PixRender, "pixbuf", Icon);
				Gtk.CellRendererText Render = new Gtk.CellRendererText();
				Render.Editable = false;
				Render.Edited += CellEdited;
               	Col.PackStart(Render, true);
				Col.AddAttribute(Render, "editable", Editable);
				Col.AddAttribute(Render, "text", Text);
				Col.Resizable = true;
				return Col;
			}

	}
}
