#include <gtk/gtk.h>

#include "support.h"

static void
lp_icon_add_to_factory(GtkIconFactory * lp_icon_factory, const gchar *stock_id, gchar *pixbuf_filename)
{
	GtkIconSet * lp_icon_set = gtk_icon_set_new_from_pixbuf (create_pixbuf(pixbuf_filename));
	gtk_icon_factory_add (lp_icon_factory, stock_id, lp_icon_set);                   
}

void 
lp_icon_add_defaults()
{
	GtkIconFactory * lp_icon_factory = gtk_icon_factory_new();
	lp_icon_add_to_factory(lp_icon_factory, "lp", "BlueLP.ico");

	gtk_icon_factory_add_default(lp_icon_factory);
}
